import java.time.*;
public class LocalDateSample{
  public static void main(String[] args) {
    //当前日期
    LocalDate today = LocalDate.now();
    System.out.println("当前日期: "+today);
 
    //根据特定的参数创建LocalDate对象
    LocalDate firstDay_2016 = LocalDate.of(2016, Month.JANUARY, 1);
    System.out.println("特定的日期: "+firstDay_2016);
 
    //获得欧洲巴黎的当前日期
    LocalDate todayParis = LocalDate.now(ZoneId.of("Europe/Paris"));
    System.out.println("巴黎的当前日期: "+todayParis);
 
    //根据基准日“1970/01/01”开始算起的日期
    LocalDate dateFromBase = LocalDate.ofEpochDay(365);
    System.out.println("从1970/1/1起相隔365天的日期: "+dateFromBase);
 
    //从特定年份开始算起的日期
    LocalDate hundredDay2016 = LocalDate.ofYearDay(2016, 100);
    System.out.println("2016年的第一百天: "+hundredDay2016);
  }
}


/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
